/*
 *********************************************************************

 $Id$


 Copyright (c) 2007-2014 Whitestein Technologies AG,
 Riedstrasse 13, CH-6330 Cham, Switzerland.
 All rights reserved.

 This software is confidential and proprietary information of
 Whitestein Technologies AG.
 You shall not disclose this confidential information and shall use
 it only in accordance with the terms of the license agreement you
 entered into with Whitestein Technologies AG.
 The use of this file in source or binary form requires a written
 license from Whitestein Technologies AG.
 *********************************************************************
 */
package com.whitestein.lsps.pm.ldap;

/**
 * This exception indicates an error occurred when interacting with an LDAP
 * server. Consult the error message and the cause to get more detailed
 * information about the cause of the error.
 *
 * @author jsa
 *
 */
public class LdapException extends RuntimeException {

	private static final long serialVersionUID = 7416973629670880063L;

	/**
	 * Creates a new instance of this exception.
	 *
	 * @param message the detailed error description
	 * @param cause the original cause of the failure
	 */
	public LdapException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Creates a new instance of this exception.
	 *
	 * @param message the detailed error description
	 */
	public LdapException(String message) {
		super(message);
	}

}
